.popular {
    display: flex;
    /* height: 1.5rem; */
    justify-content: end;

    width: 100%;

    gap: 0 0.5rem;
}

.resu {
    position: absolute;
    background-color: var(--btn);
    border: 1px solid var(--border);
    padding: 3px 7px;
    border-radius: 0.4rem;
    z-index: 3;
    top: 5%;
    right: 5%;
    color: var(--text);


}


.likes,
.downloads {
    display: flex;
    align-items: center;


    justify-content: space-evenly;


    background-color: var(--card);

    border-radius: 1rem;
    height: 3rem;
    width: 5rem;
    border: 1px solid var(--border);

}

.likes-img,
.downloads-img {
    user-select: none;
    height: 1.5rem;
    width: 1.5rem;
}

.likes-count,
.downloads-count {
    color: var(--text);
}

.disabled {
    opacity: 0;
    user-select: none;
    visibility: hidden;

}
















.top-categories {
    margin: 1rem;
    text-align: center;
    color: var(--text);
    font-size: 2rem;
}








main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}




.wallpaper-container {

    margin: 2rem;
    display: flex;
    justify-content: center;
    width: 100%;
}


.note {
    display: flex;
    padding: 1rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 15;
    width: 25rem;
    background-color: var(--card);
    border-radius: 3rem;
    transition: none;
    align-items: center;
    justify-content: space-evenly;
}


.note-close:hover {
    cursor:
        pointer;
}

.warn:hover {
    cursor: pointer;
    opacity: 70%;
}

.thumbnail {
    min-width: 40rem;
    height: 25rem;
    display: flex;
    align-items: center;
    position: relative;
    justify-content: center;

}

.thumbnail-image {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
}

.thumbnail-title {
    font-size: 1rem;
    overflow: hidden;
}

.upload-by {
    font-size: 1rem;
}

.thumbnail-details {
    display: flex;

    padding: 0 1rem;
    font-size: 1.2rem;
    width: 80%;
    margin: 2rem 0;
    color: var(--text);

}

.download {
    gap: 0 0.5rem;
    background-color: var(--btn);
    border: 1px solid var(--border);
    border-radius: 3px;
    margin: 1rem;
    height: 3.5rem;
    width: 78%;

    display: flex;
    align-items: center;
    justify-content: center;
}

.download-title {
    font-size: 1rem;
    color: var(--text);

}

.download:hover {
    cursor: pointer;

    background: var(--btn-hover);

    border: 2px solid var(--border);
}

.download:hover .download-title {
    color: var(--text-light);
}


.more-wallpaper-container {
    width: 100%;
    margin: 1rem 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}




.thumbnail-details-left {
    height: 100%;
    width: 60%;
}

.thumbnail-details-right {
    height: 100%;
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: end;
    padding: 0 0.5rem;
}

.user {
    gap: 10px;
    height: 100%;
    width: 100%;
    margin: 10px 0;

    display: flex;
    align-items: center;
}

.user-image {
    height: 2.4rem;
    border: none;
    border-radius: 50px;
    width: 2.4rem;
}

.user-name {
    font-size: 100%;
}

.profile-link {
    height: 2rem;
    display: block;
    text-decoration: none;
    color: var(--text);


}

.download-img {
    height: 20px;
    user-select: none;
    width: 20px;
}



.overlay {
    transition: none;
    top: 0;
    left: 0;
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.801);
    z-index: 5;
}

.info {
    border: 1px solid var(--border);
    transition: none;
    display: flex;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--card);
    gap: 10px 0;
    border-radius: 10px;
    position: absolute;
    height: 35rem;
    width: 30rem;
    padding: 10px;
    z-index: 10;


    flex-direction: column;
    align-items: center;
}


.report {
    z-index: 10;
    transition: none;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    background-color: var(--card);
    padding: 15px;
    border-radius: 5px;
    height: 34rem;
    border: 1px solid var(--border);
    width: 27rem;


}

label {
    color: var(--text);
    cursor: pointer;
}

.report-header {
    height: 7%;
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

}

.report-reason {
    width: 100%;
    gap: 5px 0;
    height: 38%;
    padding: 0 5px;

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.Reason {
    width: 100%;
    height: 35%;
    outline: none;
    background-color: transparent;
    color: var(--text);
    border: 2px solid var(--border);
    padding: 4px;
}

.report-submit {
    margin-top: 5px;
    height: 8%;
    width: 100%;
    background-color: transparent;
    border: 2px solid var(--text);
    color: var(--text);
    border-radius: 3px;
}

.report-submit:hover {
    color: black;
    cursor: pointer;
    background-color: var(--text);
    box-shadow: 0 0 10px var(--text);
}

.report-close-btn {
    height: 1.5rem;
    width: 1.5rem;
    background-color: transparent;
    border: none;
}

.report-close-btn:hover {
    opacity: 70%;
    cursor: pointer;
}

.report-close-btn-img {
    height: 100%;
    user-select: none;
    width: 100%;
}

.report-title {
    color: var(--text);
    font-size: 1rem;
}

.report-reason-items {
    display: flex;
    flex-direction: row;
    gap: 0 10px;
}

.info-close {
    padding: 0 5px;
    width: 100%;
    height: 6%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.info-close-title {
    color: var(--text);
}

.info-close-btn {
    background-color: transparent;
    border: none;
    height: 1.5rem;
    width: 1.5rem;
}

.info-close-btn:hover {
    cursor: pointer;
    opacity: 80%;
}

.info-close-btn-img {
    height: 100%;
    user-select: none;
    width: 100%;
}

.info-title {
    padding: 10px 0;

    display: flex;
    width: 100%;


}

.info-title-title {
    color: var(--text);
    inline-size: 100%;
    overflow-wrap: break-word;
}

.info-statics {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 100%;

    height: 12%;
}

.info-tags {
    color: var(--text);
    width: 100%;
    word-wrap: break-word;

}

.cell {
    gap: 5px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 33%;
}

.cell-img {
    user-select: none;

    height: 2rem;
    width: 2rem;
}

.cell-text {
    color: var(--text);
}

.timeago-text {
    color: var(--text);
}

.likes-btn {
    cursor: pointer;
    background: transparent;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
}



.info-btn {
    background-color: var(--card);

    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;

    height: 3rem;
    width: 3rem;
    border: 1px solid var(--border);
    border-radius: 1rem;

}




.report-btn {
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--card);

    height: 3rem;
    width: 3rem;
    border: 1px solid var(--border);
    border-radius: 1rem;
}

.report-btn:hover,
.info-btn:hover {
    cursor: pointer;
    background-color: var(--btn-hover);

}

.i-r {
    display: flex;
    height: 1.5rem;
    justify-content: end;
    width: 100%;
    padding: 0 0.5rem;
    gap: 0 1rem;
}

.ago {

    width: 8rem;
}

.hidden {
    display: none;
}

@media screen and (max-width: 600px) {


    .download {
        margin: 1rem;
        width: 90%;
    }

    .thumbnail {
        min-width: unset;
        height: auto;
        width: 100%;
    }







    .thumbnail-details {
        width: 100%;
        flex-direction: column-reverse;
        gap: 2rem 0;

    }

    .thumbnail-details-left {
        width: 100%;
        height: 50%;
    }

    .thumbnail-details-right {
        width: 100%;
        height: 50%;
    }

    .info {
        width: 25rem;
        height: 30rem;
    }

    /* .likes, .downloads{
    width: calc(100% - 17rem);

    } */







}